version_file_name=${version_file_name:-include/linux/wimax/version.h}

if test -r $ESRC/.base_version
then
    base_version=$(cut -d\  -f 1 $ESRC/.base_version)
else
    echo "ERROR: can't read file .base_version" 1>&2
    exit 1
fi

branch=""
tag="$base_version"
node=""

# If there is a git and a git tree, use 'describe'
if cset=$(gat describe --always >& /dev/null)
then
    node=-$cset
elif [ -r .git_archive.txt ]
then
    node=-$(cat .git_archive.txt)
else
    node=""
fi

if [ "$1" == print ]
then
    echo "$branch$tag"
else
    echo "I: compile-time version is $branch$tag$node" 1>&2
    echo "$version_file_name:#define WIMAX_VERSION \"$branch$tag$node\""
fi
